<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_ranks.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_ranks" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_ranks</refname>
    <refpurpose>gives the rank of each element in a vector.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   r = nan_ranks(X)
   r = nan_ranks(X,DIM)
   r = nan_ranks(X,Mode)
   r = nan_ranks(X,DIM,Mode)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X:</term>
      <listitem><para> vector or matrix, if X is a vector, return the vector of ranks of X adjusted for ties.    if X is matrix, the rank is calculated along dimension DIM.</para></listitem></varlistentry>
   <varlistentry><term>DIM:</term>
      <listitem><para>  if X is matrix, the rank is calculated along dimension DIM .  if DIM is zero or empty, the lowest dimension with more then 1 element is used.</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'traditional' :</term>
      <listitem><para>  implements the traditional algorithm with O(n^2) computational   and O(n^2) memory effort</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'mtraditional' :</term>
      <listitem><para>  implements the traditional algorithm with O(n^2) computational   and O(n) memory effort</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'advanced   ' :</term>
      <listitem><para>  implements an advanced algorithm with O(n*log(n)) computational    and O(n.log(n)) memory effort</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'advanced-ties':</term>
      <listitem><para> implements an advanced algorithm with O(n*log(n)) computational and O(n.log(n)) memory effort but without correction for ties  This is the fastest algorithm</para></listitem></varlistentry>
   <varlistentry><term>r :</term>
      <listitem><para> gives the rank of each element in a vector.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This program uses an advanced algorithm with averge effort O(m.n.log(n))
NaN in the input yields NaN in the output
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_corrcoef">nan_corrcoef</link></member>
   <member><link linkend="nan_spearman">nan_spearman</link></member>
   <member><link linkend="nan_rankcorr">nan_rankcorr</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2002,2005,2010 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
